Arch: BuildingPart

From FreeCAD Documentation
Jump to navigation Jump to search
This page is a translated version of the page Arch BuildingPart and the translation is 2% complete.
Outdated translations are marked like this.
Other languages:
Deutsch • ‎English • ‎español • ‎français • ‎italiano • ‎polski • ‎português do Brasil • ‎română • ‎русский
Arrow-left.svg Previous: Arch Floor.svg Floor
Next: Building Arch Building.svg Arrow-right.svg

Arch BuildingPart.svg Arch BuildingPart

poziția meniului
Arch → BuildingPart
Ateliere
Arch
scurtătură
nici unul
Prezentat în versiune
-
A se vedea, de asemenea,
Arch Building, Arch Floor

Descriere

BuildingPart intenționează să înlocuiască Arch Floor cu o versiune mai capabilă care să poată fi utilizată nu numai pentru crearea de podele/etaje/niveluri ci și pentru toate tipurile de situații în care trebuie să fie grupate diferite obiecte Arch/BIM și acel grup ar putea fi necesar să fie tratate ca un obiect sau replicate.

Cum se folosește

  1. Optional, selectați unul sau mai multe obiecte pentru a fi incluse în noul Building Part
  2. Apăsați butonul Arch BuildingPart.png Arch BuildingPart

Notes

BuildingParts have a built-in, implicit Arch SectionPlane. introduced in version 0.19

This plane is always parallel to the BuildingPart's base plane, but you can specify the offset between them. So all tools that work with a section plane, such as Draft Shape2DView and TechDraw ArchView also work with BuildingParts.

Opţiuni

  • După ce ați creat un BuildingPart, puteți să adăugați mai multe obiecte prin glisarea și plasarea lor în Tree View sau utilizând instrumentul Arch Add.png Arch Add
  • Puteți să eliminați obiecte dintr-un BuildingPart prin tragerea și plasarea lor din Tree View sau utilizând instrumentul Arch Remove.png Arch Remove
  • Dând dublu clic pe obiectul BuildingPart din vizualizarea arborescentă, Working Plane va fi setat la locația sa, iar BuildingPart va deveni activ, ceea ce înseamnă că vor fi adăugate automat noi obiecte. Dacă dați dublu clic pe BuildingPart din nou, îl dezactivați și setați planul de lucru înapoi în poziția sa anterioară
  • BuildingPart poate afișa un marcaj în vizualizarea 3D cu o etichetă și indicarea nivelului
  • Când un BuildingPart este mutat / rotit, toți copiii acestuia care nu au nici o proprietate "Move With Host" sau o pornesc, se vor mișca/roti împreună.
  • Elementele de construcție pot fi cloned
  • Componentele de construcție pot lua orice tip de IFC

Proprietăți

See also: Property editor.

An Arch BuildingPart is derived from an App GeoFeature object and inherits all its properties. It also has the following additional properties:

Data

Base

  • DateGroup (LinkList): List of referenced objects.
  • Date (Hidden)_ Group Touched (Bool)

Building Part

  • DateArea (Area): The computed floor area of this floor.
  • DateHeight (Length): The height of this object, and of its children objects. The children objects could be, for example, Arch Walls. Each wall's height must be set to 0 (zero), so the height property of the BuildingPart propagates to the objects inside of it.
  • DateLevel Offset (Length): The level of the (0,0,0) point of this level. This value is added to the Placement.Base.z attribute of the BuildingPart, to indicate a vertical offset without actually moving the object. The resulting offset is displayed if VizualizareShow Level is true.
  • Date (Hidden)Materials Table (Map): A MaterialName:SolidIndexesList map that relates material names with solid indexes to be used when referencing this object from other files.
  • DateOnly Solids (Bool): If true, only solids will be collected by this object when referenced from other files.
  • Date (Hidden)Saved Inventor (FileIncluded): This property stores an inventor representation for this object.
  • Date (Hidden)Shape (PartShape): The shape of this object.

Children

  • DateHeight Propagate (Bool): If true, the height value propagates to contained objects.

IFC

  • Date (Hidden)Ifc Data (Map): IFC data.
  • Date (Hidden)Ifc Properties (Map): IFC properties of this object.
  • DateIfc Type (Enumeration): The IFC type of this object.

IFC Attributes

  • DateDescription (String): An optional description for this component
  • DateGlobal Id (String)
  • DateObject Type (String)
  • DateOverall Height (Length)
  • DateOverall Width (Length)
  • DatePartitioning Type (Enumeration)
  • DatePredefined Type (Enumeration)
  • DateTag (String): An optional tag for this component.
  • DateUser Defined Partitioning Type (String)

View

Auto Group

  • VizualizareAutogroup Autosize (Bool): Automatically set the capture box size from the Building Part contents. introduced in version 0.20
  • VizualizareAutogroup Box (Bool): Turns auto grouping (and the display of the capture box) on/off. introduced in version 0.20
  • VizualizareAutogroup Margin (Length): A margin to use when autosize is turned on. introduced in version 0.20
  • VizualizareAutogroup Size (IntegerList): The capture box for newly created objects expressed as [XMin,YMin,ZMin,XMax,YMax,ZMax]. introduced in version 0.20

Building Part

  • Vizualizare (Hidden)Diffuse Color (ColorList): The individual face colors.
  • VizualizareDisplay Offset (Placement): A transformation to apply to the level mark.
  • VizualizareFont Name (Font): The font to be used for texts.
  • VizualizareFont Size (Length): The font size of texts.
  • VizualizareLine Width (Float): The line width of this object.
  • VizualizareOrigin Offset (Bool): If true, when activated, Display offset will affect the origin mark too.
  • VizualizareOverride Unit (String): An optional unit to express levels.
  • VizualizareShow Label (Bool): If true, when activated, the object's label is displayed.
  • VizualizareShow Level (Bool): If true, show the level.
  • VizualizareShow Unit (Bool): If true, show the unit on the level tag.

Children

  • VizualizareChildren Line Color (Color): The line color to apply to the children of this Building Part.
  • VizualizareChildren Line Width (Float): The line width to apply to the children of this Building Part.
  • VizualizareChildren Override (Bool): If true, the objects contained in this Building Part will adopt these line, color and transparency settings.
  • VizualizareChildren Shape Color (Color): The shape color to apply to the children of this Building Part.
  • VizualizareChildren Transparency (Percent): The transparency to apply to the children of this Building Part.

Clip

  • VizualizareAuto Cut View (Bool): Turn cutting on when activating this level.
  • VizualizareCut Margin (Length): The distance between the level plane and the cut line.
  • VizualizareCut View (Bool): Cut the view above this level.

Interactions

  • VizualizareAuto Working Plane (Bool): If set to True, the working plane will be kept on Auto mode.
  • VizualizareDouble Click Activates (Bool): If True, double-clicking this object in the tree activates it.
  • VizualizareRestore View (Bool): If set, the view stored in this object will be restored on double-click.
  • VizualizareSave Inventor (Bool): If this is enabled, the inventor representation of this object will be saved in the FreeCAD file, allowing to reference it in other files in lightweight mode.
  • Vizualizare (Hidden)Saved Inventor (FileIncluded): A slot to save the inventor representation of this object, if enabled.
  • VizualizareSet Working Plane (Bool): If true, when activated, the working plane will automatically adapt to this Building Part.
  • Vizualizare (Hidden)View Data (FloatList): Camera position data associated with this object.

Scripting

Scrip-Programare

Instrumentul BuildingPart poate fi utilizat în macro-uri și din consola Python utilizând următoarea funcție:

BuildingPart = makeBuildingPart(objectslist=None)

creează o BuildingPart incluzând obiectele din lista dată.

Exempluː

import FreeCAD, Draft, Arch

p1 = FreeCAD.Vector(0, 0, 0)
p2 = FreeCAD.Vector(2000, 0, 0)
baseline = Draft.makeLine(p1, p2)
baseline2 = Draft.makeLine(p1, -1*p2)

Wall1 = Arch.makeWall(baseline, length=None, width=150, height=2000)
Wall2 = Arch.makeWall(baseline2, length=None, width=150, height=1800)
FreeCAD.ActiveDocument.recompute()

BuildingPart = Arch.makeBuildingPart([Wall1, Wall2])

Floor = Arch.makeFloor([BuildingPart])
Building = Arch.makeBuilding([Floor])
Site = Arch.makeSite(Building)
FreeCAD.ActiveDocument.recompute()


Arrow-left.svg Previous: Arch Floor.svg Floor
Next: Building Arch Building.svg Arrow-right.svg